### org.jfree.layouting.input.style

# Class StyleRule

- `java.lang.Object`
- - `org.jfree.layouting.input.style.StyleRule`

Implemented Interfaces:
  Cloneable, Serializable

Known Direct Subclasses:
  CSSCharsetRule, CSSDeclarationRule, CSSImportRule, CSSUnknownStyleRule

`public abstract class StyleRule`
`extends java.lang.Object`
`implements Serializable, Cloneable`

Creation-Date: 23.11.2005, 10:50:15

Author:
  Thomas Morgner

  ## Constructor Summary

  `StyleRule(StyleKeyRegistry styleKeyRegistry)`

  `StyleRule(StyleSheet parentStyle, StyleRule parentRule)`

  ## Method Summary

  `Object`

  `clone()`

  `StyleRule`

  `getParentRule()`

  `StyleSheet`

  `getParentStyle()`

  `StyleKeyRegistry`

  `getStyleKeyRegistry()`

  `boolean`

  `isReadOnly()`

  `void`

  `makeReadOnly()`

  `protected void`

  `setParentRule(StyleRule parentRule)`

  `protected void`

  `setParentStyle(StyleSheet parentStyle)`

## Constructor Details

### StyleRule

    protected StyleRule(StyleKeyRegistry styleKeyRegistry)

### StyleRule

    protected StyleRule(StyleSheet parentStyle,
                        StyleRule parentRule)

## Method Details

### clone

    public Object clone()
                throws CloneNotSupportedException

### getParentRule

    public StyleRule getParentRule()

### getParentStyle

    public StyleSheet getParentStyle()

### getStyleKeyRegistry

    public StyleKeyRegistry getStyleKeyRegistry()

### isReadOnly

    public final boolean isReadOnly()

### makeReadOnly

    public final void makeReadOnly()

### setParentRule

    protected void setParentRule(StyleRule parentRule)

### setParentStyle

    protected void setParentStyle(StyleSheet parentStyle)